# Get All Offramp Transfers

## GET /v0/customers/{customer\_id}/offramp-transfer

> Get All Offramp Transfers

```json
{"openapi":"3.0.0","info":{"title":"Offramp API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers/{customer_id}/offramp-transfer":{"get":{"summary":"Get All Offramp Transfers","parameters":[{"name":"customer_id","in":"path","description":"The unique identifier of the customer","required":true,"schema":{"type":"string"}},{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Maximum number of records to return","required":false,"schema":{"type":"integer","minimum":1,"maximum":100}},{"name":"skip","in":"query","description":"Number of records to skip","required":false,"schema":{"type":"integer","minimum":0}}],"responses":{"200":{"description":"Successful retrieval of offramp transfers list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAllOfframpTransfersResponseModel"}}}}}}}},"components":{"schemas":{"GetAllOfframpTransfersResponseModel":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier for the offramp transfer"},"status":{"type":"string","description":"The current status of the offramp transfer","enum":["pending","processing","completed","refunded"]},"amount":{"type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]+)?$","description":"The amount of the offramp transfer as a numeric string"},"source_token":{"type":"string","description":"The currency to be deposited","enum":["usdc","usdt"]},"source_network":{"type":"string","description":"The blockchain network for the source token","enum":["polygon","ethereum","tron","base","arbitrum","solana"]},"destination_currency":{"type":"string","description":"The currency for the destination","enum":["usd","eur"]},"destination_bank_account":{"type":"object","oneOf":[{"title":"IBAN Account Details","properties":{"bank_name":{"type":"string"},"account_holder_type":{"type":"string","enum":["individual","business"]},"account_holder_first_name":{"type":"string"},"account_holder_last_name":{"type":"string"},"account_holder_business_name":{"type":"string"},"account_type":{"type":"string","enum":["iban"]},"iban":{"type":"object","properties":{"bic":{"type":"string"},"iban_number":{"type":"string"}}}},"required":["bank_name","account_holder_type","account_type","iban"]},{"title":"US Account Details","properties":{"bank_name":{"type":"string"},"account_holder_type":{"type":"string","enum":["individual","business"]},"account_holder_first_name":{"type":"string"},"account_holder_last_name":{"type":"string"},"account_holder_business_name":{"type":"string"},"account_type":{"type":"string","enum":["us"]},"us":{"type":"object","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"}}}},"required":["bank_name","account_holder_type","account_type","us"]},{"title":"International Wire Account Details","properties":{"bank_name":{"type":"string"},"account_holder_type":{"type":"string","enum":["individual","business"]},"account_holder_first_name":{"type":"string"},"account_holder_last_name":{"type":"string"},"account_holder_business_name":{"type":"string"},"account_holder_address":{"type":"object","properties":{"country":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code","minLength":2,"maxLength":2},"city":{"type":"string","minLength":1,"maxLength":128},"street_line_1":{"minLength":1,"type":"string","maxLength":255},"postal_code":{"minLength":1,"type":"string","maxLength":48}},"required":["country","city","street_line_1","postal_code"]},"account_type":{"type":"string","enum":["international_wire"]},"international_wire":{"type":"object","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"},"bic":{"type":"string"}},"required":["account_number","routing_number","bic"]}},"required":["id","created_at","bank_name","account_holder_type","account_holder_address","account_type","international_wire"]}]}}}}},"required":["items"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alignlabs.dev/align-api/offramp-transfers/get-all-offramp-transfers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
